"""
VDMAPI
"""

import os
import sys
from setuptools import find_packages, setup

module_path = os.path.join(
    os.path.dirname(os.path.realpath(__file__)), 'VDMAPI')
sys.path.insert(0, module_path)
from version import version
sys.path.remove(module_path)


# Utility function to read the README file.
# Used for the long_description.  It's nice, because now
# 1) we have a top level README file and 
# 2) it's easier to type in the README file than to put a raw string in below ...
def read(fname):
    return open(os.path.join(os.path.dirname(__file__), fname)).read()


setup(
    name='VDM API',
    version=version,
    author='Antoine Roux',
    author_email='antoinroux@hotmail.fr',
    description='VDM API: an API for recover random VDM from vdm.fr website',
    long_description=read('README.rst'),
    url='git://176.189.130.29/python/vdmAPI.git',
    download_url='git://176.189.130.29/python/vdmAPI.git/tags',
    license='Beerware',
    platforms='any',
    packages=find_packages(),
    include_package_data=True,
    install_requires=[],
    entry_points={
        'console_scripts': [
            'vdm = VDMAPI:main',
        ]
    },
    classifiers=[
        'License :: FSF approved :: Beerware License',
        'Operating System :: POSIX :: Linux',
        'Programming Language :: Python',
        'Programming Language :: Python :: 2.6',
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.2',
        'Programming Language :: Python :: 3.3',
        'Programming Language :: Python :: 3.4',
        'Programming Language :: Python :: 3.5',
        'Topic :: Software Development :: Libraries :: Python Modules',
    ], )
